Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList Class Reference

`#include <DomainC.h>`

Inheritance diagram for _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList

[legend]
Collaboration diagram for _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList (void)
| _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList (CORBA::ULong maximum)
| _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList ( CORBA::ULong maximum, CORBA::ULong length, CORBA_DomainManager* *value, CORBA::Boolean release = 0 )
| _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList ( const _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList &rhs )
_TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList& | operator= ( const _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList &rhs )
virtual | ~_TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList (void)
TAO_Object_Manager<CORBA_DomainManager, CORBA_DomainManager_var> | operator[] (CORBA::ULong index) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
| Must deallocate the buffer and then set it to zero.
CORBA_DomainManager** | get_buffer (CORBA::Boolean orphan = 0)
const CORBA_DomainManager** | get_buffer (void) const
virtual void | _shrink_buffer ( CORBA::ULong nl, CORBA::ULong ol )
virtual void | _downcast ( void* target, CORBA_Object *src, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment () )
| Used for sequences of objects to downcast a recently demarshalled object reference into the right type.
virtual CORBA_Object* | _upcast (void *src) const
| Used for sequences of object to convert from the derived type into the Object class.
## Static Public Methods
CORBA_DomainManager** | allocbuf (CORBA::ULong nelems)
void | freebuf (CORBA_DomainManager **buffer)

## Constructor & Destructor Documentation

ACE_INLINE _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::_TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList ( | void )

ACE_INLINE _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::_TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList ( | CORBA::ULong maximum )

ACE_INLINE _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::_TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList ( | CORBA::ULong maximum,
| CORBA::ULong length,
| CORBA_DomainManager ** value,
| CORBA::Boolean release = 0 )

ACE_INLINE _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::_TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList ( | const _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList & rhs )

_TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::~_TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList ( | void )`[virtual]`

## Member Function Documentation

void _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::_allocate_buffer ( | CORBA::ULong length )`[virtual]`

| Ensure that the buffer contains space for at least <length> elements. The constructor must be called for any new elements, the old ones (if any) must be copied into the buffer using operator= and then their destructors must be called. Finally the old buffer must be released. Reimplemented from TAO_Base_Sequence.

void _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::_deallocate_buffer ( | void )`[virtual]`

| Must deallocate the buffer and then set it to zero. Reimplemented from TAO_Base_Sequence.

void _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::_downcast ( | void * target,
| CORBA_Object * src,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Used for sequences of objects to downcast a recently demarshalled object reference into the right type. Reimplemented from TAO_Base_Sequence.

void _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::_shrink_buffer ( | CORBA::ULong nl,
| CORBA::ULong ol )`[virtual]`

| Some sequences (of objects and strings) require some cleanup if the sequence is shrunk. The spec requires the destructor to release the objects only from position <0> to <length-1>; so shrink and then delete could result in a memory leak. Reimplemented from TAO_Base_Sequence.

CORBA_Object * _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::_upcast ( | void * src ) const`[virtual]`

| Used for sequences of object to convert from the derived type into the Object class. Reimplemented from TAO_Base_Sequence.

ACE_INLINE CORBA_DomainManager ** _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::allocbuf ( | CORBA::ULong nelems )`[static]`

ACE_INLINE void _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::freebuf ( | CORBA_DomainManager ** buffer )`[static]`

ACE_INLINE const CORBA_DomainManager ** _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::get_buffer ( | void ) const

ACE_INLINE CORBA_DomainManager ** _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::get_buffer ( | CORBA::Boolean orphan = 0 )

ACE_INLINE _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList & _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::operator= ( | const _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList & rhs )

ACE_INLINE TAO_Object_Manager< CORBA_DomainManager,CORBA_DomainManager_var > _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList::operator[] ( | CORBA::ULong index ) const

The documentation for this class was generated from the following files:

- DomainC.h
- DomainC.cpp
- DomainC.i